/* Copyright (c) 2013
 * All right reserved.
 * blog : http://beyondj2ee.wordpress.com
 * twitter : http://www.twitter.com/beyondj2ee
 * facebook : https://www.facebook.com/beyondj2ee
 * Revision History
 * Author              Date                         Description
 * ------------------   --------------                  ------------------
 *   beyondj2ee         2013. 1. 11
 */
package pe.beyondj2ee.hadoop.mr.test;

import org.junit.Test;

import pe.beyondj2ee.hadoop.mr.MRLauncher;
import pe.beyondj2ee.hadoop.mr.WordCount;

public class MRLauncherTest {

	@Test
	public void testWordCount () throws Exception {
		
		ClassLoader cl = MRLauncher.class.getClassLoader();
		String jarAbsolutePath = cl.getResource("mapred-0.0.1-SNAPSHOT.jar").toString();
		
		MRLauncher mrl = new MRLauncher();
		String [] args = new String[3];
		
		args[0] = jarAbsolutePath;
		args[1] = "/user/mspider/wd";
		args[2] = "/user/mspider/wordcount_output61";
		
		mrl.invokeMR(WordCount.class.getName(), args);
	}
	
}
